<template>
  <div>

    <b-modal v-model="modalShow" id="bv-modal-example" hide-footer>
      <template #modal-title>
        Error
      </template>
      <div class="d-block text-center">
        <h3>{{ message }}</h3>
      </div>
      <b-button class="mt-3" block @click="hideModal()">Close</b-button>
    </b-modal>

  </div>
</template>

<script>
export default {
  name: 'AlertModal',
  data() {
    return {
      message: 'Sorry, there is a problem',
      defaultMessage: 'Sorry, there is a problem',
      modalShow: false
    }
  },
  methods: {
    hideModal() {
      this.modalShow = false;
    },
    showModal(message) {
      if (message !== undefined) {
        this.message = message;
      } else {
        this.message = this.defaultMessage;
      }
      this.modalShow = true;
    }
  }
}
</script>